Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions
Lucene::CSIndexInput Class Reference

Implementation of an IndexInput that reads from a portion of the compound file. More...

`#include <CompoundFileReader.h>`

Inheritance diagram for Lucene::CSIndexInput:

## Public Member Functions

| CSIndexInput ()
| CSIndexInput (IndexInputPtr base, int64_t fileOffset, int64_t length)
| CSIndexInput (IndexInputPtr base, int64_t fileOffset, int64_t length, int32_t readBufferSize)
virtual | ~CSIndexInput ()
virtual String | getClassName ()
boost::shared_ptr< CSIndexInput > | shared_from_this ()
virtual void | close ()
| Closes the stream to further operations. More...
virtual int64_t | length ()
| The number of bytes in the file. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Returns a clone of this stream. More...
Public Member Functions inherited from Lucene::BufferedIndexInput
| BufferedIndexInput (int32_t bufferSize=BUFFER_SIZE)
| Construct BufferedIndexInput with a specific bufferSize. More...
virtual | ~BufferedIndexInput ()
boost::shared_ptr < BufferedIndexInput > | shared_from_this ()
virtual uint8_t | readByte ()
| Reads and returns a single byte. More...
void | setBufferSize (int32_t newSize)
| Change the buffer size used by this IndexInput. More...
int32_t | getBufferSize ()
| Returns buffer size. More...
virtual void | readBytes (uint8_t *b, int32_t offset, int32_t length)
| Reads a specified number of bytes into an array at the specified offset. More...
virtual void | readBytes (uint8_t *b, int32_t offset, int32_t length, bool useBuffer)
| Reads a specified number of bytes into an array at the specified offset with control over whether the read should be buffered (callers who have their own buffer should pass in "false" for useBuffer). Currently only BufferedIndexInput respects this parameter. More...
virtual int64_t | getFilePointer ()
| Returns the current position in this file, where the next read will occur. More...
virtual void | seek (int64_t pos)
| Sets current position in this file, where the next read will occur. More...
Public Member Functions inherited from Lucene::IndexInput
| IndexInput ()
virtual | ~IndexInput ()
boost::shared_ptr< IndexInput > | shared_from_this ()
virtual int32_t | readInt ()
| Reads four bytes and returns an int. More...
virtual int32_t | readVInt ()
| Reads an int stored in variable-length format. Reads between one and five bytes. Smaller values take fewer bytes. Negative numbers are not supported. More...
virtual int64_t | readLong ()
| Reads eight bytes and returns a int64. More...
virtual int64_t | readVLong ()
| Reads a int64 stored in variable-length format. Reads between one and nine bytes. Smaller values take fewer bytes. Negative numbers are not supported. More...
virtual void | setModifiedUTF8StringsMode ()
| Call this if readString should read characters stored in the old modified UTF8 format. This is used for indices written pre-2.4. More...
virtual String | readString ()
| Reads a string. More...
virtual String | readModifiedUTF8String ()
| Reads a modified UTF8 format string. More...
virtual int32_t | readChars (wchar_t *buffer, int32_t start, int32_t length)
| Reads Lucene's old "modified UTF-8" encoded characters into an array. More...
virtual void | skipChars (int32_t length)

Similar to readChars(wchar_t*, int32_t, int32_t) but does not do any conversion operations on the bytes it is reading in. It still has to invoke readByte() just as readChars(wchar_t*, int32_t, int32_t) does, but it does not need a buffer to store anything and it does not have to do any of the bitwise operations, since we don't actually care what is in the byte except to determine how many more bytes to read. More...

virtual MapStringString | readStringStringMap ()
| Read string map as a series of key/value pairs. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::BufferedIndexInput
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::IndexInput
static String | _getClassName ()

## Data Fields

IndexInputPtr | base
int64_t | fileOffset
int64_t | _length

## Protected Member Functions

virtual void | readInternal (uint8_t *b, int32_t offset, int32_t length)
| Implements buffer refill. Reads bytes from the current position in the input. More...
virtual void | seekInternal (int64_t pos)
| Implements seek. Sets current position in this file, where the next readInternal(byte[],int,int) will occur. More...
Protected Member Functions inherited from Lucene::BufferedIndexInput
virtual void | newBuffer (ByteArray newBuffer)
void | checkBufferSize (int32_t bufferSize)
virtual void | refill ()
| Refill buffer in preparation for reading. More...

## Additional Inherited Members

Static Public Attributes inherited from Lucene::BufferedIndexInput
static const int32_t | BUFFER_SIZE
| Default buffer size. More...
Protected Attributes inherited from Lucene::BufferedIndexInput
int32_t | bufferSize
int64_t | bufferStart
int32_t | bufferLength
int32_t | bufferPosition
ByteArray | buffer

## Detailed Description

Implementation of an IndexInput that reads from a portion of the compound file.

## Constructor & Destructor Documentation

Lucene::CSIndexInput::CSIndexInput | ( | ) |  |

Lucene::CSIndexInput::CSIndexInput | ( | IndexInputPtr | base,
|  | int64_t | fileOffset,
|  | int64_t | length
| ) |  |

Lucene::CSIndexInput::CSIndexInput | ( | IndexInputPtr | base,
|  | int64_t | fileOffset,
|  | int64_t | length,
|  | int32_t | readBufferSize
| ) |  |

virtual Lucene::CSIndexInput::~CSIndexInput | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::CSIndexInput::_getClassName | ( | ) |  |

inline static

virtual LuceneObjectPtr Lucene::CSIndexInput::clone | ( | LuceneObjectPtr | other = `LuceneObjectPtr()`) |  |

virtual

Returns a clone of this stream.

Reimplemented from Lucene::BufferedIndexInput.

virtual void Lucene::CSIndexInput::close | ( | ) |  |

virtual

Closes the stream to further operations.

Reimplemented from Lucene::BufferedIndexInput.

virtual String Lucene::CSIndexInput::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::BufferedIndexInput.

virtual int64_t Lucene::CSIndexInput::length | ( | ) |  |

virtual

The number of bytes in the file.

Implements Lucene::IndexInput.

virtual void Lucene::CSIndexInput::readInternal | ( | uint8_t * | b,
|  | int32_t | offset,
|  | int32_t | length
| ) |  |

protected virtual

Implements buffer refill. Reads bytes from the current position in the input.

Parameters

  b | the array to read bytes into
  offset | the offset in the array to start storing bytes
  len | the number of bytes to read

Implements Lucene::BufferedIndexInput.

virtual void Lucene::CSIndexInput::seekInternal | ( | int64_t | pos) |  |

protected virtual

Implements seek. Sets current position in this file, where the next readInternal(byte[],int,int) will occur.

Implements Lucene::BufferedIndexInput.

boost::shared_ptr< CSIndexInput > Lucene::CSIndexInput::shared_from_this | ( | ) |  |

inline

## Field Documentation

int64_t Lucene::CSIndexInput::_length

IndexInputPtr Lucene::CSIndexInput::base

int64_t Lucene::CSIndexInput::fileOffset

The documentation for this class was generated from the following file:

- CompoundFileReader.h

clucene.sourceforge.net